#Force Python 3 to be used for byte compilation:
%define __python %{__python3}

Name:		backintime
Version:	1.1.20
Release:	%mkrel 1
Summary:	Backup tool for Linux
License:	GPLv2+
Group:		Archiving/Backup
URL:		http://backintime.le-web.org
Source0:	http://backintime.le-web.org/download/backintime/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	pkgconfig(python3)

%description
Back In Time is a simple backup tool for Linux inspired from
Flyback project and TimeVault.

#--------------------------------------------------------------------

%package	common
Summary:	Back Up Tool for Linux
Group:		Archiving/Backup
Requires:	python3
Requires:	rsync
Requires:	cron-daemon
Requires:	python3-keyring
Requires:	python3-dbus
Requires:	cronie
Requires:	openssh-clients
Recommends:	sshfs-fuse
Recommends:	encfs

%description	common
Common files for Back In Time.

%files common -f %{name}.lang
%doc %{_datadir}/doc/%{name}/
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-askpass
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/plugins/__pycache__
%{_datadir}/%{name}/common/
%{_datadir}/%{name}/plugins/usercallbackplugin.py
%{_datadir}/%{name}/plugins/userscriptsplugin.py
%{_datadir}/%{name}/plugins/__pycache__/usercallbackplugin*.pyc
%{_datadir}/%{name}/plugins/__pycache__/userscriptsplugin*.pyc
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-askpass.1.*
%{_mandir}/man1/%{name}-config.1.*

#---------------------------------------------------------------------

%package	qt4
Summary:	Qt4 Frontend for Back In Time
Group:		Archiving/Backup
Requires:	%{name}-common = %{version}-%{release}
Requires:	x11-tools
Requires:	python3-qt4
Requires:	libnotify
Requires:	polkit
Requires:	python3-keyring
Requires:	python3-sip

Provides:	backintime-kde4 = %{version}-%{release}
Obsoletes:	backintime-kde4 < 1.0.40-5
Provides:	backintime-notify = %{version}-%{release}
Obsoletes:	backintime-notify < 1.0.40-5
Provides:	backintime-gnome = %{version}-%{release}
Obsoletes:	backintime-gnome < 1.0.40-5

%description	qt4
Qt4 Frontend for Back In Time.

%files qt4
%doc %{_docdir}/%{name}-qt4/
%{_bindir}/%{name}-qt4
%{_bindir}/%{name}-qt4-root
%{_bindir}/backintime-qt4_polkit
%{_sbindir}/%{name}-qt4-root
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-qt4-root
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}-qt4-root
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/net.launchpad.%{name}.serviceHelper.conf
%{_datadir}/dbus-1/system-services/net.launchpad.%{name}.serviceHelper.service
%{_datadir}/polkit-1/actions/net.launchpad.%{name}.policy
%{_datadir}/applications/%{name}-qt4.desktop
%{_datadir}/applications/%{name}-qt4-root.desktop
%{_datadir}/%{name}/qt4/
%{_datadir}/%{name}/plugins/notifyplugin.py
%{_datadir}/%{name}/plugins/qt4plugin.py
%{_datadir}/%{name}/plugins/__pycache__/notifyplugin*.pyc
%{_datadir}/%{name}/plugins/__pycache__/qt4plugin*.pyc
%{_datadir}/doc/qt/HTML/en/%{name}/index.docbook
%{_iconsdir}/hicolor/*/actions/*.svg
%{_mandir}/man1/%{name}-qt4.1.*

#---------------------------------------------------------------------

%prep
%setup -q

# Fix documentation directories.
sed -i -e "s|'%{name}-common'|'%{name}'|g" common/config.py
sed -i -e "s|%{name}-common|%{name}|g" common/configure qt4/configure

%build
#configure used, but fixed upstream to be able to use configure macro

pushd common
./configure --no-fuse-group --python3
%make_build
popd

pushd qt4
./configure --python3
%make_build
popd

%install
pushd common
%make_install
popd

pushd qt4
%make_install
popd

desktop-file-install \
      --dir=%{buildroot}%{_datadir}/applications \
      %{buildroot}%{_datadir}/applications/%{name}-qt4.desktop

desktop-file-install \
      --dir=%{buildroot}%{_datadir}/applications/ \
      --set-key=Exec --set-value="pkexec %{_bindir}/backintime-qt4" \
      --add-category="KDE;GNOME" \
      %{buildroot}%{_datadir}/applications/%{name}-qt4-root.desktop


mkdir -p %{buildroot}%{_sbindir}
cp -p %{buildroot}%{_bindir}/%{name}-qt4 \
      %{buildroot}%{_sbindir}/%{name}-qt4-root

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-qt4-root

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-qt4-root
USER=root
PROGRAM=%{_sbindir}/%{name}-qt4-root
SESSION=true
EOF

mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-qt4-root
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

chmod +x %{buildroot}%{_datadir}/%{name}/common/askpass.py
chmod +x %{buildroot}%{_datadir}/%{name}/common/create-manpage-backintime-config.py
chmod +x %{buildroot}%{_datadir}/%{name}/common/bcolors.py
chmod +x %{buildroot}%{_datadir}/%{name}/common/sshMaxArg.py

%find_lang %{name}


%changelog
* Sat Apr 22 2017 neoclust <neoclust> 1.1.20-1.mga6
+ Revision: 1097095
- New version 1.1.20 - Fixes CVE-2017-7572 (mga#20692)

* Mon Jun 27 2016 akien <akien> 1.1.12-3.mga6
+ Revision: 1037823
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 1.1.12-2.mga6
+ Revision: 1037529
- Rebuild for python-sip 4.18

* Fri Mar 04 2016 daviddavid <daviddavid> 1.1.12-1.mga6
+ Revision: 985597
- new version: 1.1.12
- removal of desktop dependent subpackages replaces now by backintime-qt4
- obsoletes backintime-kde4, -gnome, -notify
- update files list for common and qt4 subpackages

* Fri Feb 19 2016 umeabot <umeabot> 1.0.40-4.mga6
+ Revision: 969846
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 daviddavid <daviddavid> 1.0.40-3.mga6
+ Revision: 880035
- update doc file list (fix build with new rpm 4.13.0)

* Sun Aug 02 2015 daviddavid <daviddavid> 1.0.40-2.mga6
+ Revision: 860828
- add missing requires for python-dbus to common subpkg (mga#16254)
- add missing requires for gnome-python-gnomevfs to gnome subpkg (mga#16234)

* Sun Jul 26 2015 daviddavid <daviddavid> 1.0.40-1.mga6
+ Revision: 857950
- new version: 1.0.40
- add backintime-notify subpackage
- use %%configure2_5x and %%makeinstall_std macros
- fix non-conffile-in-etc warning
- fix permission on 2 python script files

* Wed Oct 15 2014 umeabot <umeabot> 1.0.36-3.mga5
+ Revision: 741479
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.36-2.mga5
+ Revision: 678094
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 philippem <philippem> 1.0.36-1.mga5
+ Revision: 665977
- update to 1.0.36

* Mon Dec 23 2013 neoclust <neoclust> 1.0.34-1.mga4
+ Revision: 560232
- New version, fixes mga #11257

* Sat Oct 19 2013 umeabot <umeabot> 1.0.26-2.mga4
+ Revision: 534966
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 1.0.26-1.mga4
+ Revision: 480629
- new version 1.0.26

* Mon Jul 08 2013 philippem <philippem> 1.0.24-3.mga4
+ Revision: 451488
- add Requires python-keyring

* Fri Jun 14 2013 kharec <kharec> 1.0.24-2.mga4
+ Revision: 443046
- add python-keyring as a require (#10244)

* Thu May 23 2013 kharec <kharec> 1.0.24-1.mga4
+ Revision: 425087
- update to 1.0.24

* Fri Jan 11 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 346825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - it is a noarch package

* Thu Jul 07 2011 mikala <mikala> 1.0.8-1.mga2
+ Revision: 119616
- Update tarball to 1.0.8

* Sat Mar 05 2011 mikala <mikala> 1.0.6-1.mga1
+ Revision: 65137
- Update tarball to 1.0.6
- Add Requires for python-notify on gnome subpackage
- Use ./configure --no-checks for subpackage
- Drop patch0 merged
- imported package backintime


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.26-4mdv2011.0
+ Revision: 616695
- the mass rebuild of 2010.0 packages

* Thu Oct 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.26-3mdv2010.0
+ Revision: 458961
- Add Fedora patch to fix CVE-2009-3611

* Sun May 24 2009 Funda Wang <fwang@mandriva.org> 0.9.26-2mdv2010.0
+ Revision: 379163
- fix requires on gnome subpackage (bug#51096)

* Tue May 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.26-1mdv2010.0
+ Revision: 377741
- Update to new version 0.9.26
- Fix source URL

* Mon May 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.24-4mdv2010.0
+ Revision: 377252
- Fix Requires

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 0.9.24-3mdv2010.0
+ Revision: 374204
- arch-dependent as suggested by kdesu
- add requires
- should be noarch
- move gnome manpage into correct sub package

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.24-2mdv2010.0
+ Revision: 373903
- import backintime


* Sat May 09 2009 John Balcaen  <mandriva@littleboboy.net> 0.9.24-2mdv2009.0
- switching to kdesu instead of kdesudo (thk to neoclust)

* Fri May 08 2009 John Balcaen <mandriva@littleboboy.net> 0.9.24-1mdv2009.0
 Initial import
